Bug 1029599 - [abrt] gkrellm-2.3.5-13.fc19: __strncat_chk: Process /usr/bin/gkrellm was killed by signal 6 (SIGABRT)
[abrt] gkrellm-2.3.5-13.fc19: __strncat_chk: Process /usr/bin/gkrellm was kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gkrellm (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ad23673837ab6a98945118c4be6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 12:18 EST by Dan Stahlke
Modified: 2015-02-17 14:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:12:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.01 KB, text/plain)
2013-11-12 12:18 EST, Dan Stahlke
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-12 12:18 EST, Dan Stahlke
no flags Details
File: core_backtrace (8.62 KB, text/plain)
2013-11-12 12:18 EST, Dan Stahlke
no flags Details
File: dso_list (9.65 KB, text/plain)
2013-11-12 12:18 EST, Dan Stahlke
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-12 12:18 EST, Dan Stahlke
no flags Details
File: maps (54.34 KB, text/plain)
2013-11-12 12:18 EST, Dan Stahlke
no flags Details
File: open_fds (1.20 KB, text/plain)
2013-11-12 12:18 EST, Dan Stahlke
no flags Details
File: proc_pid_status (965 bytes, text/plain)
2013-11-12 12:18 EST, Dan Stahlke
no flags Details

  None (edit)
Description Dan Stahlke 2013-11-12 12:18:29 EST
Description of problem:
Gkrellm basically crashed out of nowhere.  If I remember correctly, I may have connected or disconnected from a wireless network shortly before the crash.

Version-Release number of selected component:
gkrellm-2.3.5-13.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gkrellm
crash_function: __strncat_chk
executable:     /usr/bin/gkrellm
kernel:         3.11.6-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Nov 10 21:01:01 psi abrt-hook-ccpp[15735]: Saved core dump of pid 2500 (/usr/bin/gkrellm) to /var/tmp/abrt/ccpp-2013-11-10-21:01:01-2500 (32903168 bytes)

Truncated backtrace:
Thread no. 1 (5 frames)
 #9 __strncat_chk at strncat_chk.c:37
 #10 update_air at /usr/lib64/gkrellm2/plugins/gkrellweather.so
 #11 update_monitors at main.c:362
 #14 g_main_context_iterate.isra.22 at /lib64/libglib-2.0.so.0
 #16 gtk_main at gtkmain.c:1257
Comment 1 Dan Stahlke 2013-11-12 12:18:36 EST
Created attachment 823053 [details]
File: backtrace
Comment 2 Dan Stahlke 2013-11-12 12:18:39 EST
Created attachment 823054 [details]
File: cgroup
Comment 3 Dan Stahlke 2013-11-12 12:18:44 EST
Created attachment 823055 [details]
File: core_backtrace
Comment 4 Dan Stahlke 2013-11-12 12:18:47 EST
Created attachment 823056 [details]
File: dso_list
Comment 5 Dan Stahlke 2013-11-12 12:18:50 EST
Created attachment 823057 [details]
File: limits
Comment 6 Dan Stahlke 2013-11-12 12:18:53 EST
Created attachment 823058 [details]
File: maps
Comment 7 Dan Stahlke 2013-11-12 12:18:55 EST
Created attachment 823059 [details]
File: open_fds
Comment 8 Dan Stahlke 2013-11-12 12:18:58 EST
Created attachment 823060 [details]
File: proc_pid_status
Comment 9 Fedora End Of Life 2015-01-09 15:34:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 14:12:46 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.